<?php

namespace Intergo\RedisProxy\Proxies;

interface ProxyOperationsInterface
{
    /**
     * Proxy call to appropriate connection through instance
     *
     * @param $name
     * @param $arguments
     * @return mixed
     */
    public function __call($name, $arguments);

    /**
     * All data method names used for data retrieval must be defined and returned here
     * @param string[]
     */
    public function getReadingOperationMethods();
}
